[arch-commits] Commit in python-zope-location/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Sat Oct 26 04:12:45 UTC 2019


    Date: Saturday, October 26, 2019 @ 04:12:44
  Author: foutrelis
Revision: 519939

archrelease: copy trunk to community-staging-any

Added:
  python-zope-location/repos/community-staging-any/
  python-zope-location/repos/community-staging-any/PKGBUILD
    (from rev 519938, python-zope-location/trunk/PKGBUILD)

----------+
 PKGBUILD |   54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

Copied: python-zope-location/repos/community-staging-any/PKGBUILD (from rev 519938, python-zope-location/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2019-10-26 04:12:44 UTC (rev 519939)
@@ -0,0 +1,54 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-zope-location
+pkgname=('python-zope-location' 'python2-zope-location')
+pkgver=4.2
+pkgrel=2
+pkgdesc="Special objects that have a structural location"
+arch=('any')
+url="https://github.com/zopefoundation/zope.location"
+license=('ZPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
+             'python2-zope-interface' 'python-zope-schema' 'python2-zope-schema' 'python-zope-proxy'
+             'python2-zope-proxy')
+checkdepends=('python-zope-testrunner' 'python2-zope-testrunner' 'python-zope-copy'
+              'python2-zope-copy' 'python-zope-configuration' 'python2-zope-configuration'
+              'python-zope-component' 'python2-zope-component')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.location/archive/$pkgver.tar.gz")
+sha512sums=('3478f28738399acbdd24491361ad3454bb8415ff30a407608780758b881a6abe504ee913d28074baad52e275046a48aa13569fd5700fbb77db36aff89d79a148')
+
+prepare() {
+  cp -a zope.location-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/zope.location-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/zope.location-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/zope.location-$pkgver
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -m zope.testrunner --test-path=src || warning "Tests failed"
+
+  cd "$srcdir"/zope.location-$pkgver-py2
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python2 -m zope.testrunner --test-path=src
+}
+
+package_python-zope-location() {
+  depends=('python-setuptools' 'python-zope-interface' 'python-zope-schema' 'python-zope-proxy')
+
+  cd zope.location-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-zope-location() {
+  depends=('python2-setuptools' 'python2-zope-interface' 'python2-zope-schema' 'python2-zope-proxy')
+
+  cd zope.location-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list